import { jsx, Fragment } from "react/jsx-runtime";
import { useCallback } from "react";
import { u as useFormContext, C as Controller } from "../../../index.esm-BuArIOt4.js";
import { getInitialSelectedOption, Dropdown as Dropdown$1 } from "../../Dropdown/Dropdown.js";
const Dropdown = ({
  name,
  options = [],
  initialSelectedOption,
  ...otherProps
}) => {
  const { control } = useFormContext();
  const defaultOption = getInitialSelectedOption(
    [{ label: /* @__PURE__ */ jsx(Fragment, { children: " " }), value: void 0 }, ...options],
    initialSelectedOption
  );
  return /* @__PURE__ */ jsx(
    Controller,
    {
      name,
      control,
      defaultValue: defaultOption == null ? void 0 : defaultOption.value,
      render: ({ field: { onChange: originalOnChange, value, ...field } }) => {
        const onChange = useCallback(
          (value2) => {
            originalOnChange(value2 == null ? void 0 : value2.value);
          },
          [originalOnChange]
        );
        return /* @__PURE__ */ jsx(
          Dropdown$1,
          {
            onChange,
            ...field,
            initialSelectedOption,
            selectedItem: options.find((option) => option.value === value) ?? defaultOption,
            options,
            ...otherProps
          }
        );
      }
    }
  );
};
export {
  Dropdown
};
//# sourceMappingURL=Dropdown.js.map
